### Virtual Method

# Gtk Actionable set_action_target_value

#### Declaration [src]

    void
    set_action_target_value (
      GtkActionable* actionable,
      GVariant* target_value
    )

#### Description [src]

Sets the target value of an actionable widget.

If `target_value` is `NULL` then the target value is unset.

The target value has two purposes. First, it is used as the parameter to activation of the action associated with the `GtkActionable` widget. Second, it is used to determine if the widget should be rendered as “active” — the widget is active if the state is equal to the given target.

Consider the example of associating a set of buttons with a `GAction` with string state in a typical “radio button” situation. Each button will be associated with the same action, but with a different target value for that action. Clicking on a particular button will activate the action with the target of that button, which will typically cause the action’s state to change to that value. Since the action’s state is now equal to the target value of the button, the button will now be rendered as active (and the other buttons, with different targets, rendered inactive).

#### Parameters

`target_value`

  Type: `GVariant`

  A `GVariant` to set as the target value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.